"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const Vue = require("vue");
const shared_esmBundler = require("../../../../../@vue/shared/dist/shared.esm-bundler.js");
const t = (r, n) => shared_esmBundler.isArray(r) ? r.includes(n) : r === n, m = (r, n, e) => (o) => {
  t(Vue.unref(r), n) && e(o);
};
exports.isTriggerType = t;
exports.whenTrigger = m;
